| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
I2C Control Codes
I2C Control Codes

Specify operation parameters and various controls. More...

## Macros

#define | ARM_I2C_OWN_ADDRESS (0x01)
| Set Own Slave Address; arg = address.
#define | ARM_I2C_BUS_SPEED (0x02)
| Set Bus Speed; arg = speed.
#define | ARM_I2C_BUS_CLEAR (0x03)
| Execute Bus clear: send nine clock pulses.
#define | ARM_I2C_ABORT_TRANSFER (0x04)
| Abort Master/Slave Transmit/Receive.

## Description

Specify operation parameters and various controls.

## Macro Definition Documentation

#define ARM_I2C_ABORT_TRANSFER (0x04)

Abort Master/Slave Transmit/Receive.

See Also
  ARM_I2C_Control

#define ARM_I2C_BUS_CLEAR (0x03)

Execute Bus clear: send nine clock pulses.

See Also
  ARM_I2C_Control

#define ARM_I2C_BUS_SPEED (0x02)

Set Bus Speed; arg = speed.

Speed is specified using the following values: I2C Bus Speed

See Also
  ARM_I2C_Control

#define ARM_I2C_OWN_ADDRESS (0x01)

Set Own Slave Address; arg = address.

See Also
  ARM_I2C_Control